function Build()
{
var STR="<form name='st'><table style='text-align: center' border=1><caption align='top'><h3>Линейная оптимизация. Симплекс-метод.</h3></caption><tr><th>№</th>";
for (var j=1; j<=n+mp+2*mm; j++)
    STR+="<th width=1 height=1 >x"+j+"</th>";
STR+="<th width=1 height=1 >value</th>";
STR+="<th width=1 height=1 >basis</th></tr>";

for (var i=1; i<=mp+mm+d; i++){
   STR+='<tr><td>'+i+'</td>';
   for (var j=1; j<=n+mp+2*mm+1; j++){
      if (i!=mp+mm+2){   
      if ((j>n) && (j<=n+mp)){
          if (j-i==n)
             STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=1 size=10>";
          else
             STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=0 size=10>";
      }
      else if ((j>n+mp) && j<=(n+mp+mm)){
          if (j-i==n)
              STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=-1 size=10>";
          else
              STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=0 size=10>";
      }
      else if ((n+mp+mm<j) && j<=(n+mp+2*mm)){
          if (j-i==n+mm)
              STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=1 size=10>";
          else
              STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=0 size=10>";
      }
      else {
           if (i==mp+mm+1 && j==n+mp+2*mm+1) STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=0 size=10>"; 
           else STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" size=10>";           
	   }
      }   
      else{
      if (j<=n+mp+mm)
         STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=0 size=10>";
      else if ((j>n+mp+mm) && (j<=n+mp+2*mm))
         STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=-1 size=10>";
      else
         STR+="<td width=1 height=1 id=b"+i+'b'+j+"><input type='text' name=a"+i+'a'+j+" value=0 size=10>";
      }
   }
 if (i<mp+mm+1)
  STR+="<td width=1 height=1 ><input type='text' name=x"+i+" value=x"+lb[i-1]+" size=10></td></tr>"; 
 else if (i==mp+mm+1)
  STR+="<th width=1 height=1 >Z</th></tr>"; 
 else if (i==mp+mm+2)
  STR+="<th width=1 height=1 >W</th></tr>"; 
}
STR+="</table>";
STR+="<p align='top'>назначить ведущий элемент : строка<input type='text' name='row' size=5 width=5 value=''>столбец <input type='text' name='col' size=5 width=5 value=''>";
STR+="<input type='button' value='выполнить' onClick='Stringer()'></p>";
STR+="<p align='top'>умножить строку<input type='text' name='r3' size=5 width=5 value=''>на число<input type='text' name='num' size=10 width=20 value=''>";
STR+="и вычесть из строки<input type='text' name='r4' size=5 width=5 value=''>";
STR+="<input type='button' value='выполнить' onClick='Mult()'></p>";
STR+="<br><input type='button' value='назад' onClick='Back()'>";
STR+="<input type='button' id='auth' value='проверить' onClick='ff()'></form>";
return STR;
}

